System.Design 1.0.5000.0 2.0.0.0

The interface is obsolete. Use the class for equivalent designer functionality.

Provides methods to access services for tracking the loading state of a Web Forms document, handling events at load time, accessing a document's location, managing a document's undo service, and setting a new selection within the document.

- Method
  System.Object

  This method is obsolete and there is no equivalent functionality.

  Creates a discardable undo unit.

  The new discardable undo unit.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method is obsolete and there is no equivalent functionality.

  Discards the specified undo unit.

  The undo unit to discard. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added.

  The interface property is obsolete. Use the property on the class for equivalent designer functionality.

  Gets the URL at which the document is located.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method is obsolete and there is no equivalent functionality.

  Enables the ability to undo actions that occur within undoable action units or transactions.

  true if actions should be undoable; otherwise, false. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added.

  The interface property is obsolete. Use the property on the class for equivalent designer functionality.

  Gets a value indicating whether the document service is currently loading.

  1.0.5000.0
  2.0.0.0
- Event
  System.EventHandler

  The interface event is obsolete. Use the event on the class for equivalent designer functionality.

  This event provides an opportunity to perform operations immediately after loading has completed. Events that should occur at load time can be registered as event handlers for this event.

  Occurs when the service has finished loading.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  This method is obsolete and there is no equivalent functionality.

  When implemented in a derived class, updates the current selection.

  1.0.5000.0
  2.0.0.0
System.Obsolete("Use new WebFormsReferenceManager feature")